# module Intrinsics

##
Defined in:

##
Class Method Summary

- .bswap32(id)
- .debugtrap
- .pause
- .popcount128(src)
- .popcount16(src)
- .popcount32(src)
- .popcount64(src)
- .popcount8(src)
- .read_cycle_counter
- .va_end(ap)
- .va_start(ap)

##
Macro Summary

- countleading128(src, zero_is_undef)
- countleading16(src, zero_is_undef)
- countleading32(src, zero_is_undef)
- countleading64(src, zero_is_undef)
- countleading8(src, zero_is_undef)
- counttrailing128(src, zero_is_undef)
- counttrailing16(src, zero_is_undef)
- counttrailing32(src, zero_is_undef)
- counttrailing64(src, zero_is_undef)
- counttrailing8(src, zero_is_undef)
- memcpy(dest, src, len, is_volatile)
- memmove(dest, src, len, is_volatile)
- memset(dest, val, len, is_volatile)

##
Class Method Detail

def self.bswap32(id) #
def self.debugtrap #
def self.pause #
def self.popcount128(src) #
def self.popcount16(src) #
def self.popcount32(src) #
def self.popcount64(src) #
def self.popcount8(src) #
def self.read_cycle_counter #
def self.va_end(ap) #
def self.va_start(ap) #

##
Macro Detail

macro countleading128(src, zero_is_undef) #
macro countleading16(src, zero_is_undef) #
macro countleading32(src, zero_is_undef) #
macro countleading64(src, zero_is_undef) #
macro countleading8(src, zero_is_undef) #
macro counttrailing128(src, zero_is_undef) #
macro counttrailing16(src, zero_is_undef) #
macro counttrailing32(src, zero_is_undef) #
macro counttrailing64(src, zero_is_undef) #
macro counttrailing8(src, zero_is_undef) #
macro memcpy(dest, src, len, is_volatile) #
macro memmove(dest, src, len, is_volatile) #
macro memset(dest, val, len, is_volatile) #